<?php
/**
 *
 * info_acp_subject_prefix [English]
 *
 * @package language
 * @copyright (c) 2010 Erik Frèrejean ( erikfrerejean@phpbb.com ) http://www.erikfrerejean.nl
 * @translator (c) ( Basil Alhitary - http://www.alhitary.net - http://www.phpbbarabia.com )
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

/**
 * Localise Prefixes.
 * To localise a prefix change the name of a prefix to an UPPER CASE identifier
 * and add an entry to the following array. Say you have a prefix with the name
 * "LOCALISED_PREFIX" which would be translated to "Localised prefix" the array would
 * look like:
 * <code>
 * $lang = array_merge($lang, array(
 * 	'SP_LOCALISED_PREFIX'	=> 'Localised prefix',
 * ));
 * </code>
 * Notice that the name is prefixed with "SP_" when added to this array!
 */
$lang = array_merge($lang, array(

));

/**
 * Global lang stuff
 */
$lang = array_merge($lang, array(
	'ACP_SUBJECT_PREFIX'				=> 'مُقدمة عنوان الموضوع',
	'ACP_SUBJECT_PREFIX_ADD'			=> 'إنشاء مُقدمة عنوان الموضوع',
	'ACP_SUBJECT_PREFIX_EXPLAIN'		=> 'تستطيع من خلال هذه الصفحة التحكم بالمنتديات التي تستخدم مُقدمة عنوان الموضوع. وماعليك سوى النقر فوق أسم المنتدى الموجود بالأسفل لكي يتم عرض المقدمات التي قمت بإنشائها لهذا المنتدى والتعديل عليهم. أيضاً تستطيع تغيير الترتيب بواسطة السحب والإفلات.',
	'ACP_SUBJECT_PREFIX_ADD_EXPLAIN'	=> 'تستطيع من خلال هذه الصفحة إنشاء مقدمات جديدة أو التعديل عليها.',

	'NO_PREFIXES'		=> 'أنت لم تنشئ أي مُقدمة لعنوان الموضوع حتى الآن.',
	'NO_PREFIX_COLOUR'	=> 'يجب عليك كتابة رقم اللون بشكل صحيح',
	'NO_PREFIX_TITLE'	=> 'يجب عليك كتابة عنوان المُقدمة',

	'MCP_SUBJECT_PREFIX'	=> 'لوحة تحكم المشرف لمُقدمة عنوان الموضوع',

	'PREFIX_COLOUR'					=> 'لون المُقدمة ',
	'PREFIX_COLOUR_EXPLAIN'			=> 'حدد اللون الخاص بهذه المُقدمة.',
	'PREFIX_FORUMS'					=> 'منتديات المُقدمة ',
	'PREFIX_FORUMS_EXPLAIN'			=> 'حدد المنتديات التي يمكن استخدام المُقدمة فيها.',
	'PREFIX_INSERT_FAIL'			=> 'لم يستطيع إدخال المُقدمة',
	'PREFIX_NOT_ALLOWED'			=> 'المُقدمة التي حددتها غير مسموح بها في هذا المنتدى',
	'PREFIX_NOT_CHANGED'			=> 'لم يتم تغيير مُقدمة عنوان الموضوع',
	'PREFIX_ORDER_UPDATED'			=> 'تم تحديث ترتيب المُقدمة بنجاح',
	'PREFIX_SUCCESSFULLY_ADDED'		=> 'تم إنشاء المُقدمة بنجاح !',
	'PREFIX_SUCCESSFULLY_EDITED'	=> 'تم تحديث المُقدمة بنجاح !',
	'PREFIX_TITLE'					=> ' عنوان المُقدمة ',
	'PREFIX_UPDATED_SUCCESS'		=> 'تم تحديث مُقدمة عنوان الموضوع بنجاح',
	'PREFIX_UPDATE_FAILED'			=> 'لم يستطيع تحديث مُقدمة عنوان الموضوع',

	'SUBJECT_PREFIX'			=> 'مُقدمة عنوان الموضوع',
	'SUBJECT_PREFIX_ADD_EDIT'	=> array(
		0 => 'إنشاء مٌقدمة جديدة لعنوان الموضوع',
		1 => 'تعديل مُقدمة موجودة مسبقاً',
	),
	'SUBJECT_PREFIX_QUICK_MOD'	=> 'التعديل السريع لمُقدمة عنوان الموضوع',
	'SELECT_A_PREFIX'			=> 'تحديد مُقدمة',
));

// The installer
$lang = array_merge($lang, array(
	'INSTALL_SUBJECTPREFIX'				=> 'تنصيب مُقدمة عنوان الموضوع',
	'INSTALL_SUBJECTPREFIX_CONFIRM'		=> 'هل أنت متأكد من تنصيب مُقدمة عنوان الموضوع ؟',
	'UPDATE_SUBJECTPREFIX'				=> 'تحديث مُقدمة عنوان الموضوع',
	'UPDATE_SUBJECTPREFIX_CONFIRM'		=> 'هل أنت متأكد من تحديث مُقدمة عنوان الموضوع ؟',
	'UNINSTALL_SUBJECTPREFIX'			=> 'إزالة مُقدمة عنوان الموضوع',
	'UNINSTALL_SUBJECTPREFIX_CONFIRM'	=> 'هل أنت متأكد من إزالة مُقدمة عنوان الموضوع ؟',
));